Packages - Bug #2109

Freedom Issue # 1231 (in progress): [electron] embeds Chromium platform (or part of it), recommends nonfree DRM plugins

[electron2] analogous to [electron], embeds Chromium platform (or part of it), recommends nonfree
DRM plugins
2018-12-11 06:11 PM - oaken-source

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: oaken-source

Category:

Description

this is related to #1231.
electron2 has been added by upstream to provide the 2.* version of electron, while the electron package tracks the 3.* branch.

should probably be blocked (and hopefully eventually be unblocked) for the same reasons as electron.

History

#1 - 2018-12-11 06:12 PM - oaken-source

- Related to Freedom Issue #1231 [electron] embeds Chromium platform (or part of it), recommends nonfree DRM plugins added

#2 - 2018-12-11 06:17 PM - oaken-source
- % Done changed from 0 to 100
- Assignee set to oaken-source

- Status changed from open to fixed

#3 - 2018-12-12 02:37 AM - bill-auger

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform
added

"

#4 - 2022-11-29 01:22 PM - bill-auger

- Related to deleted (Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium
platform”)

#5 - 2022-11-29 01:23 PM - bill-auger

- Related to deleted (Freedom Issue #1231: [electron] embeds Chromium platform (or part of it), recommends nonfree DRM plugins)

#6 - 2022-11-29 01:24 PM - bill-auger
- Parent task set to #1231
